<?php

namespace app\common\model\equity;
use app\common\model\BaseModel;
use app\common\model\goods\Goods;
use app\common\model\user\User;

class UserEquity extends BaseModel
{

    protected $name = 'user_equity';
    public function equityConfig()
    {
        return $this->hasOne(EquityConfig::class, 'id', 'equity_id');
    }

    public function goods()
    {
        return $this->hasOne(Goods::class, 'id', 'goods_id');
    }
    public function user()
    {
        return $this->hasOne(User::class, 'id', 'user_id');
    }

}